| AI Engine Intrinsics User Guide (AIE) v2025.2

Loading...
Searching...
No Matches
Concatenations
Intrinsics » Vector Conversions

Vector concat intrinsic functions allow creating a bigger vector from two or four smaller ones. More...

## Overview

Vector concat intrinsic functions allow creating a bigger vector from two or four smaller ones.

Below the buffer sizes are as follows: V - 128 bit W - 256 bit X - 512 bit Y - 1024 bit

For more information see Integer Vector Types.

## 128-bit concatenation into 256-bit vector
v32int8 | concat (v16int8 a, v16int8 b)
| Returns the concatenation of vectors a and b.
v32uint8 | concat (v16uint8 a, v16uint8 b)
| Returns the concatenation of vectors a and b.
v16int16 | concat (v8int16 a, v8int16 b)
| Returns the concatenation of vectors a and b.
v8cint16 | concat (v4cint16 a, v4cint16 b)
| Returns the concatenation of vectors a and b.
v8int32 | concat (v4int32 a, v4int32 b)
| Returns the concatenation of vectors a and b.
v4cint32 | concat (v2cint32 a, v2cint32 b)
| Returns the concatenation of vectors a and b.
v8float | concat (v4float a, v4float b)
| Returns the concatenation of vectors a and b.
v4cfloat | concat (v2cfloat a, v2cfloat b)
| Returns the concatenation of vectors a and b.

## 128-bit concatenation into 512-bit vector
v64int8 | concat (v16int8 a, v16int8 b, v16int8 c, v16int8 d)
| Returns the concatenation of vectors a, b, c and d.
v64uint8 | concat (v16uint8 a, v16uint8 b, v16uint8 c, v16uint8 d)
| Returns the concatenation of vectors a, b, c and d.
v32int16 | concat (v8int16 a, v8int16 b, v8int16 c, v8int16 d)
| Returns the concatenation of vectors a, b, c and d.
v16cint16 | concat (v4cint16 a, v4cint16 b, v4cint16 c, v4cint16 d)
| Returns the concatenation of vectors a, b, c and d.
v16int32 | concat (v4int32 a, v4int32 b, v4int32 c, v4int32 d)
| Returns the concatenation of vectors a, b, c and d.
v8cint32 | concat (v2cint32 a, v2cint32 b, v2cint32 c, v2cint32 d)
| Returns the concatenation of vectors a, b, c and d.
v16float | concat (v4float a, v4float b, v4float c, v4float d)
| Returns the concatenation of vectors a, b, c and d.
v8cfloat | concat (v2cfloat a, v2cfloat b, v2cfloat c, v2cfloat d)
| Returns the concatenation of vectors a, b, c and d.

## 128-bit concatenation into 1024-bit vector
v128int8 | concat (v16int8 a, v16int8 b, v16int8 c, v16int8 d, v16int8 e, v16int8 f, v16int8 g, v16int8 h)
| Returns the concatenation of eight vectors.
v128uint8 | concat (v16uint8 a, v16uint8 b, v16uint8 c, v16uint8 d, v16uint8 e, v16uint8 f, v16uint8 g, v16uint8 h)
| Returns the concatenation of eight vectors.
v64int16 | concat (v8int16 a, v8int16 b, v8int16 c, v8int16 d, v8int16 e, v8int16 f, v8int16 g, v8int16 h)
| Returns the concatenation of eight vectors.
v32cint16 | concat (v4cint16 a, v4cint16 b, v4cint16 c, v4cint16 d, v4cint16 e, v4cint16 f, v4cint16 g, v4cint16 h)
| Returns the concatenation of eight vectors.
v32int32 | concat (v4int32 a, v4int32 b, v4int32 c, v4int32 d, v4int32 e, v4int32 f, v4int32 g, v4int32 h)
| Returns the concatenation of eight vectors.
v16cint32 | concat (v2cint32 a, v2cint32 b, v2cint32 c, v2cint32 d, v2cint32 e, v2cint32 f, v2cint32 g, v2cint32 h)
| Returns the concatenation of eight vectors.
v32float | concat (v4float a, v4float b, v4float c, v4float d, v4float e, v4float f, v4float g, v4float h)
| Returns the concatenation of eight vectors.
v16cfloat | concat (v2cfloat a, v2cfloat b, v2cfloat c, v2cfloat d, v2cfloat e, v2cfloat f, v2cfloat g, v2cfloat h)
| Returns the concatenation of eight vectors.

## 256-bit concatenation into 512-bit vector
v64int8 | concat (v32int8 a, v32int8 b)
| Returns the concatenation of vectors a and b.
v64uint8 | concat (v32uint8 a, v32uint8 b)
| Returns the concatenation of vectors a and b.
v32int16 | concat (v16int16 a, v16int16 b)
| Returns the concatenation of vectors a and b.
v16cint16 | concat (v8cint16 a, v8cint16 b)
| Returns the concatenation of vectors a and b.
v16int32 | concat (v8int32 a, v8int32 b)
| Returns the concatenation of vectors a and b.
v8cint32 | concat (v4cint32 a, v4cint32 b)
| Returns the concatenation of vectors a and b.
v16float | concat (v8float a, v8float b)
| Returns the concatenation of vectors a and b.
v8cfloat | concat (v4cfloat a, v4cfloat b)
| Returns the concatenation of vectors a and b.

## 256-bit concatenation into 1024-bit vector
v128int8 | concat (v32int8 a, v32int8 b, v32int8 c, v32int8 d)
| Returns the concatenation of vectors a, b, c and d.
v128uint8 | concat (v32uint8 a, v32uint8 b, v32uint8 c, v32uint8 d)
| Returns the concatenation of vectors a, b, c and d.
v64int16 | concat (v16int16 a, v16int16 b, v16int16 c, v16int16 d)
| Returns the concatenation of vectors a, b, c and d.
v32cint16 | concat (v8cint16 a, v8cint16 b, v8cint16 c, v8cint16 d)
| Returns the concatenation of vectors a, b, c and d.
v32int32 | concat (v8int32 a, v8int32 b, v8int32 c, v8int32 d)
| Returns the concatenation of vectors a, b, c and d.
v16cint32 | concat (v4cint32 a, v4cint32 b, v4cint32 c, v4cint32 d)
| Returns the concatenation of vectors a, b, c and d.
v32float | concat (v8float a, v8float b, v8float c, v8float d)
| Returns the concatenation of vectors a, b, c and d.
v16cfloat | concat (v4cfloat a, v4cfloat b, v4cfloat c, v4cfloat d)
| Returns the concatenation of vectors a, b, c and d.

## 512-bit concatenation into 1024-bit vector
v128int8 | concat (v64int8 a, v64int8 b)
| Returns the concatenation of vectors a and b.
v128uint8 | concat (v64uint8 a, v64uint8 b)
| Returns the concatenation of vectors a and b.
v64int16 | concat (v32int16 a, v32int16 b)
| Returns the concatenation of vectors a and b.
v32cint16 | concat (v16cint16 a, v16cint16 b)
| Returns the concatenation of vectors a and b.
v32int32 | concat (v16int32 a, v16int32 b)
| Returns the concatenation of vectors a and b.
v16cint32 | concat (v8cint32 a, v8cint32 b)
| Returns the concatenation of vectors a and b.
v32float | concat (v16float a, v16float b)
| Returns the concatenation of vectors a and b.
v16cfloat | concat (v8cfloat a, v8cfloat b)
| Returns the concatenation of vectors a and b.

## Concatenate two 320/384-bit accumulators to one 640/768-bit accumulator
v16acc48 | concat (v8acc48 a, v8acc48 b)
| Returns the concatenation of vectors a and b.
v8cacc48 | concat (v4cacc48 a, v4cacc48 b)
| Returns the concatenation of vectors a and b.
v8acc80 | concat (v4acc80 a, v4acc80 b)
| Returns the concatenation of vectors a and b.
v4cacc80 | concat (v2cacc80 a, v2cacc80 b)
| Returns the concatenation of vectors a and b.

## Concatenations for configuration registers
pmx_idx | concat (unsigned int, unsigned int, unsigned int)

## Function Documentation

## ◆ concat() [1/53]

pmx_idx concat | ( | unsigned int | ,
|  | unsigned int | ,
|  | unsigned int |
| ) |  |

## ◆ concat() [2/53]

v32cint16 concat | ( | v16cint16 | a,
|  | v16cint16 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [3/53]

v32float concat | ( | v16float | a,
|  | v16float | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [4/53]

v32int16 concat | ( | v16int16 | a,
|  | v16int16 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [5/53]

v64int16 concat | ( | v16int16 | a,
|  | v16int16 | b,
|  | v16int16 | c,
|  | v16int16 | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [6/53]

v32int32 concat | ( | v16int32 | a,
|  | v16int32 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [7/53]

v32int8 concat | ( | v16int8 | a,
|  | v16int8 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [8/53]

v64int8 concat | ( | v16int8 | a,
|  | v16int8 | b,
|  | v16int8 | c,
|  | v16int8 | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [9/53]

v128int8 concat | ( | v16int8 | a,
|  | v16int8 | b,
|  | v16int8 | c,
|  | v16int8 | d,
|  | v16int8 | e,
|  | v16int8 | f,
|  | v16int8 | g,
|  | v16int8 | h
| ) |  |

Returns the concatenation of eight vectors.

Parameters

  a | Input vector that that will be placed in the 1st eighth of the output vector.
  ... | .
  h | Input vector that that will be placed in the 8th eighth of the output vector.

## ◆ concat() [10/53]

v32uint8 concat | ( | v16uint8 | a,
|  | v16uint8 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [11/53]

v64uint8 concat | ( | v16uint8 | a,
|  | v16uint8 | b,
|  | v16uint8 | c,
|  | v16uint8 | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [12/53]

v128uint8 concat | ( | v16uint8 | a,
|  | v16uint8 | b,
|  | v16uint8 | c,
|  | v16uint8 | d,
|  | v16uint8 | e,
|  | v16uint8 | f,
|  | v16uint8 | g,
|  | v16uint8 | h
| ) |  |

Returns the concatenation of eight vectors.

Parameters

  a | Input vector that that will be placed in the 1st eighth of the output vector.
  ... | .
  h | Input vector that that will be placed in the 8th eighth of the output vector.

## ◆ concat() [13/53]

v4cacc80 concat | ( | v2cacc80 | a,
|  | v2cacc80 | b
| ) |  |

Returns the concatenation of vectors a and b.

## ◆ concat() [14/53]

v4cfloat concat | ( | v2cfloat | a,
|  | v2cfloat | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [15/53]

v8cfloat concat | ( | v2cfloat | a,
|  | v2cfloat | b,
|  | v2cfloat | c,
|  | v2cfloat | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [16/53]

v16cfloat concat | ( | v2cfloat | a,
|  | v2cfloat | b,
|  | v2cfloat | c,
|  | v2cfloat | d,
|  | v2cfloat | e,
|  | v2cfloat | f,
|  | v2cfloat | g,
|  | v2cfloat | h
| ) |  |

Returns the concatenation of eight vectors.

Parameters

  a | Input vector that that will be placed in the 1st eighth of the output vector.
  ... | .
  h | Input vector that that will be placed in the 8th eighth of the output vector.

## ◆ concat() [17/53]

v4cint32 concat | ( | v2cint32 | a,
|  | v2cint32 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [18/53]

v8cint32 concat | ( | v2cint32 | a,
|  | v2cint32 | b,
|  | v2cint32 | c,
|  | v2cint32 | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [19/53]

v16cint32 concat | ( | v2cint32 | a,
|  | v2cint32 | b,
|  | v2cint32 | c,
|  | v2cint32 | d,
|  | v2cint32 | e,
|  | v2cint32 | f,
|  | v2cint32 | g,
|  | v2cint32 | h
| ) |  |

Returns the concatenation of eight vectors.

Parameters

  a | Input vector that that will be placed in the 1st eighth of the output vector.
  ... | .
  h | Input vector that that will be placed in the 8th eighth of the output vector.

## ◆ concat() [20/53]

v64int16 concat | ( | v32int16 | a,
|  | v32int16 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [21/53]

v64int8 concat | ( | v32int8 | a,
|  | v32int8 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [22/53]

v128int8 concat | ( | v32int8 | a,
|  | v32int8 | b,
|  | v32int8 | c,
|  | v32int8 | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [23/53]

v64uint8 concat | ( | v32uint8 | a,
|  | v32uint8 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [24/53]

v128uint8 concat | ( | v32uint8 | a,
|  | v32uint8 | b,
|  | v32uint8 | c,
|  | v32uint8 | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [25/53]

v8acc80 concat | ( | v4acc80 | a,
|  | v4acc80 | b
| ) |  |

Returns the concatenation of vectors a and b.

## ◆ concat() [26/53]

v8cacc48 concat | ( | v4cacc48 | a,
|  | v4cacc48 | b
| ) |  |

Returns the concatenation of vectors a and b.

## ◆ concat() [27/53]

v8cfloat concat | ( | v4cfloat | a,
|  | v4cfloat | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [28/53]

v16cfloat concat | ( | v4cfloat | a,
|  | v4cfloat | b,
|  | v4cfloat | c,
|  | v4cfloat | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [29/53]

v8cint16 concat | ( | v4cint16 | a,
|  | v4cint16 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [30/53]

v16cint16 concat | ( | v4cint16 | a,
|  | v4cint16 | b,
|  | v4cint16 | c,
|  | v4cint16 | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [31/53]

v32cint16 concat | ( | v4cint16 | a,
|  | v4cint16 | b,
|  | v4cint16 | c,
|  | v4cint16 | d,
|  | v4cint16 | e,
|  | v4cint16 | f,
|  | v4cint16 | g,
|  | v4cint16 | h
| ) |  |

Returns the concatenation of eight vectors.

Parameters

  a | Input vector that that will be placed in the 1st eighth of the output vector.
  ... | .
  h | Input vector that that will be placed in the 8th eighth of the output vector.

## ◆ concat() [32/53]

v8cint32 concat | ( | v4cint32 | a,
|  | v4cint32 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [33/53]

v16cint32 concat | ( | v4cint32 | a,
|  | v4cint32 | b,
|  | v4cint32 | c,
|  | v4cint32 | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [34/53]

v8float concat | ( | v4float | a,
|  | v4float | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [35/53]

v16float concat | ( | v4float | a,
|  | v4float | b,
|  | v4float | c,
|  | v4float | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [36/53]

v32float concat | ( | v4float | a,
|  | v4float | b,
|  | v4float | c,
|  | v4float | d,
|  | v4float | e,
|  | v4float | f,
|  | v4float | g,
|  | v4float | h
| ) |  |

Returns the concatenation of eight vectors.

Parameters

  a | Input vector that that will be placed in the 1st eighth of the output vector.
  ... | .
  h | Input vector that that will be placed in the 8th eighth of the output vector.

## ◆ concat() [37/53]

v8int32 concat | ( | v4int32 | a,
|  | v4int32 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [38/53]

v16int32 concat | ( | v4int32 | a,
|  | v4int32 | b,
|  | v4int32 | c,
|  | v4int32 | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [39/53]

v32int32 concat | ( | v4int32 | a,
|  | v4int32 | b,
|  | v4int32 | c,
|  | v4int32 | d,
|  | v4int32 | e,
|  | v4int32 | f,
|  | v4int32 | g,
|  | v4int32 | h
| ) |  |

Returns the concatenation of eight vectors.

Parameters

  a | Input vector that that will be placed in the 1st eighth of the output vector.
  ... | .
  h | Input vector that that will be placed in the 8th eighth of the output vector.

## ◆ concat() [40/53]

v128int8 concat | ( | v64int8 | a,
|  | v64int8 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [41/53]

v128uint8 concat | ( | v64uint8 | a,
|  | v64uint8 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [42/53]

v16acc48 concat | ( | v8acc48 | a,
|  | v8acc48 | b
| ) |  |

Returns the concatenation of vectors a and b.

## ◆ concat() [43/53]

v16cfloat concat | ( | v8cfloat | a,
|  | v8cfloat | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [44/53]

v16cint16 concat | ( | v8cint16 | a,
|  | v8cint16 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [45/53]

v32cint16 concat | ( | v8cint16 | a,
|  | v8cint16 | b,
|  | v8cint16 | c,
|  | v8cint16 | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [46/53]

v16cint32 concat | ( | v8cint32 | a,
|  | v8cint32 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [47/53]

v16float concat | ( | v8float | a,
|  | v8float | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [48/53]

v32float concat | ( | v8float | a,
|  | v8float | b,
|  | v8float | c,
|  | v8float | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [49/53]

v16int16 concat | ( | v8int16 | a,
|  | v8int16 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [50/53]

v32int16 concat | ( | v8int16 | a,
|  | v8int16 | b,
|  | v8int16 | c,
|  | v8int16 | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector

## ◆ concat() [51/53]

v64int16 concat | ( | v8int16 | a,
|  | v8int16 | b,
|  | v8int16 | c,
|  | v8int16 | d,
|  | v8int16 | e,
|  | v8int16 | f,
|  | v8int16 | g,
|  | v8int16 | h
| ) |  |

Returns the concatenation of eight vectors.

Parameters

  a | Input vector that that will be placed in the 1st eighth of the output vector.
  ... | .
  h | Input vector that that will be placed in the 8th eighth of the output vector.

## ◆ concat() [52/53]

v16int32 concat | ( | v8int32 | a,
|  | v8int32 | b
| ) |  |

Returns the concatenation of vectors a and b.

Parameters

  a | Input vector that that will be placed in the lower half of the output vector
  b | Input vector that that will be placed in the upper half of the output vector

## ◆ concat() [53/53]

v32int32 concat | ( | v8int32 | a,
|  | v8int32 | b,
|  | v8int32 | c,
|  | v8int32 | d
| ) |  |

Returns the concatenation of vectors a, b, c and d.

Parameters

  a | Input vector that that will be placed in the 1st quarter of the output vector
  b | Input vector that that will be placed in the 2nd quarter of the output vector
  c | Input vector that that will be placed in the 3rd quarter of the output vector
  d | Input vector that that will be placed in the 4th quarter of the output vector